<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$info = gd_info();

echo ("Wersja biblioteki GD: ".$info["GD Version"]."\n");
echo ("Odczyt plików gif: ");
echo ((($info["GIF Read Support"])?"Tak":"Nie")."\n");
echo ("Zapis plików gif: ");
echo ((($info["GIF Read Support"])?"Tak":"Nie")."\n");
echo ("Obsługa plików jpeg: ");
echo ((($info["JPG Support"])?"Tak":"Nie")."\n");
echo ("Obsługa plików png: ");
echo ((($info["PNG Support"])?"Tak":"Nie")."\n");
echo ("\n");

echo ("Pełna zawartość tablicy zwróconej przez gd_info:\n");
foreach($info as $key => $value){
  echo("$key : $value\n");
}
?>
